# Class: Captcha

## jala.Captcha()

Wrapper class for the JCaptcha library. A captcha (an acronym for "completely automated public Turing test to tell computers and humans apart") is a type of challenge-response test used in computing to determine whether or not the user is human.

## Constructor

#### new Captcha()

Construct a new captcha.

Source:
  - jala/code/Captcha.js, line 46

##### Returns:

A new captcha.

### Methods

#### getCaptcha()

Get a new captcha object.

Source:
  - jala/code/Captcha.js, line 69

##### Returns:

A new captcha object.

#### renderImage()

Render a new captcha image.

Source:
  - jala/code/Captcha.js, line 76

#### toString()

Get a string representation of the captcha object.

Source:
  - jala/code/Captcha.js, line 117

##### Returns:

A string representation of the captcha object.

#### validate(input)

Validate a user's input with the prompted captcha.

##### Parameters:

Name | Type | Description
--- | --- | ---
`input` | String | The user's input.

Source:
  - jala/code/Captcha.js, line 93

##### Returns:

True if the user's input matches the captcha.